# TdApi.PageBlockCaption (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PageBlockCaption

Package it.tdlight.jni

# Class TdApi.PageBlockCaption

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlockCaption

Enclosing class:
  TdApi

    public static class TdApi.PageBlockCaption
    extends TdApi.Object

Contains a caption of an instant view web page block, consisting of a text and a trailing credit.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.RichText` | `credit` | Block credit (like HTML tag <cite>).
`TdApi.RichText` | `text` | Content of the caption.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PageBlockCaption()` | Contains a caption of an instant view web page block, consisting of a text and a trailing credit.
`PageBlockCaption​(TdApi.RichText text, TdApi.RichText credit)` | Contains a caption of an instant view web page block, consisting of a text and a trailing credit.
`PageBlockCaption​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.RichText text
Content of the caption.

### credit

public TdApi.RichText credit
Block credit (like HTML tag <cite>).

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PageBlockCaption

public PageBlockCaption()
Contains a caption of an instant view web page block, consisting of a text and a trailing credit.

### PageBlockCaption

public PageBlockCaption​(TdApi.RichText text, TdApi.RichText credit)
Contains a caption of an instant view web page block, consisting of a text and a trailing credit.

Parameters:
  `text` - RichText Content of the caption.
  `credit` - RichText Block credit (like HTML tag <cite>).

### PageBlockCaption

public PageBlockCaption​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`